
Foreman - Bug #3980

Compute profiles not rendering Openstack attributes correctly

01/09/2014 01:03 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Compute resources   

Target version: 1.4.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If I two security_groups (say "A" and "B") or two floating_ip_network entries, and select the second one (i.e not the one that is

rendered on page load) then the attribute is saved corectly to the db:

#&lt;ComputeAttribute id: 2, compute_profile_id: 1, compute_resource_id: 7, name: &quot;m1.tiny&qu

ot;, vm_attrs: {&quot;flavor_ref&quot;=&gt;"1", "image_ref"=>"9c9d4946-3e33-4f6e-92f0-f3527ef42862

", "tenant_id"=>"e52297c4bf694c788c8bfb2b7792146b", "security_groups"=>"B", "network"=>"B"}, creat

ed_at: "2014-01-09 12:36:20", updated_at: "2014-01-09 12:50:46">]

 But if I re-edit the profile (or try to create a host with it) I get the original, first enties in the form (i.e they are set to "A"). This means I

have to go select "B" manually, negating the point of the profile.

This is probably related to the long-standing issue of the VM Tab not reloading correctly when Host#new is re-rendered after an error

- a fix for that was wrapped up in larger changes in PR 1099. Perhaps it could be extracted and tested against this bug too?

Related issues:

Related to Foreman - Feature #3178: add ability to apply a virtual hardware t... Closed 10/01/2013

Associated revisions

Revision 88daf556 - 02/13/2014 06:02 PM - Joseph Magen

fixes #3980 - Compute profiles not rendering Openstack attributes correctly

Revision 1081c15f - 02/14/2014 12:14 PM - Joseph Magen

fixes #3980 - Compute profiles not rendering Openstack attributes correctly

(cherry picked from commit 88daf556e39ad9c0d3bdebbe9f88ce5ff49010f6)

History

#1 - 01/14/2014 03:44 PM - Dominic Cleal

- Related to Feature #3178: add ability to apply a virtual hardware template at hostgroup level added

#2 - 01/23/2014 02:01 PM - Joseph Magen

- Status changed from New to Ready For Testing

- Assignee set to Joseph Magen

https://github.com/theforeman/foreman/pull/1190

#3 - 02/13/2014 03:51 PM - Dominic Cleal

- Target version set to 1.9.1

- translation missing: en.field_release set to 5

#4 - 02/13/2014 06:31 PM - Anonymous
https://github.com/theforeman/foreman/pull/1190


- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 88daf556e39ad9c0d3bdebbe9f88ce5ff49010f6.
